locked
MP Upgrade: SCCM RRS feed

  • Question

  • Hi ALL,

    We are running SCOM 2012 R2 currently we have SCCM MP version 5.0.8239.1009.
    kindly confirm if we can upgrade the new version 5.00.8239.1010 MP or do we need to remove the old version MP and then install the new version SCCM MP

    Regards,
    Kumar

    Wednesday, January 22, 2020 7:29 AM

Answers

All replies

  • Hi,

    You can simply download and import the newer version of the SCCM management pack, it will update the old one to a newer version, there shouldn't be any issues.

    You only have to remove the old SCCM management pack if you're running version 5.0.7804.1000 (or below).

    PS: Please change the thread type to a question


    Best regards,
    Leon


    Blog: https://thesystemcenterblog.com LinkedIn:



    • Edited by Leon Laude Wednesday, January 22, 2020 7:53 AM Clarification
    Wednesday, January 22, 2020 7:34 AM
  • Hi Leon,

    While performing the same we received the below error.

    Microsoft System Center 2012 Configuration Manager Discovery could not be imported.

    If any management packs in the Import list are dependent on this management pack, the installation of the dependent management packs will fail.

    Verification failed with 1 errors:
    -------------------------------------------------------
    Error 1:
    Found error in 2|Microsoft.SystemCenter2012.ConfigurationManager.Discovery|5.0.8239.1010|Microsoft.SystemCenter2012.ConfigurationManager.Discovery|| with message:
    Could not load management pack [ID=Microsoft.SystemCenter2012.ConfigurationManager.Library, KeyToken=31bf3856ad364f35, Version=5.0.8239.1010]. The management pack was not found in the store.
    : Version mismatch. The management pack ([Microsoft.SystemCenter2012.ConfigurationManager.Library, 31bf3856bd364e35, 5.0.8239.1009]) requested from the database was version 5.0.8239.1010 but the actual version available is 5.0.8239.1009.

    ========================================

    received the similar message for SCCM Library and Discovery.

    Regards,

    Kumar

    Wednesday, January 22, 2020 8:06 AM
  • I would recommend to always download the management packs manually:
    System Center Monitoring Pack for Configuration Manager


    Blog: https://thesystemcenterblog.com LinkedIn:

    Wednesday, January 22, 2020 8:19 AM
  • Yes, I did downloaded the msi file from the Microsoft link and while upgrading them received the above mentioned error message.
    Wednesday, January 22, 2020 8:55 AM
  • Which SCCM management packs do you currently have? Please list all of them.

    Blog: https://thesystemcenterblog.com LinkedIn:

    Wednesday, January 22, 2020 8:58 AM
  • Below is the screen shot of current SCCM MP

    Currently we are trying to upgrade with the new version and the screen shot is as below.

    Wednesday, January 22, 2020 9:16 AM
  • Strange, this error has been encountered previously and the solution was to delete the existing management pack, and import the new management pack.

    Similar thread:
    https://social.technet.microsoft.com/Forums/lync/en-US/1d96fb28-f751-47f1-acf8-5964c39d77b0/scomsccm-updated-sccm-mp-v50082391008-failed?forum=operationsmanagergeneral


    Blog: https://thesystemcenterblog.com LinkedIn:

    Wednesday, January 22, 2020 9:54 AM
  • Thank you very much Leon.
    Wednesday, January 22, 2020 10:02 AM
  • What happens if you try to update the Library MP alone, before trying to import the other 2?
    Wednesday, January 22, 2020 10:47 AM
  • Hi,

    May we know the current status of the question ?So has your issue been solved? Feel free to feedback.

    Thanks


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Thursday, February 13, 2020 8:48 AM